{
  "name": "@kevisual/envision",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "tsc -b && vite build",
    "lint": "eslint .",
    "preview": "vite preview",
    "prune": "pnpm store prune && rimraf node_modules/.vite",
    "deploy": "rsync -avz --delete ./dist/ light:/root/apps/envision/web",
    "pub": "pnpm run build && pnpm run deploy"
  },
  "dependencies": {
    "@kevisual/container": "0.0.2-alpha.1",
    "@abearxiong/flows": "0.0.1-alpha.9",
    "@abearxiong/ui": "0.0.1-alpha.0",
    "@ant-design/icons": "^5.5.1",
    "@icon-park/react": "^1.4.2",
    "@kevisual/codemirror": "^0.0.2",
    "@kevisual/query": "^0.0.6",
    "@kevisual/ui": "^0.0.2",
    "@monaco-editor/react": "^4.6.0",
    "@uiw/react-textarea-code-editor": "^3.1.0",
    "@xyflow/react": "^12.3.2",
    "antd": "^5.21.4",
    "classnames": "^2.5.1",
    "clsx": "^2.1.1",
    "copy-to-clipboard": "^3.3.3",
    "d3": "^7.9.0",
    "eventemitter3": "^5.0.1",
    "immer": "^10.1.1",
    "lodash-es": "^4.17.21",
    "marked": "^14.1.3",
    "nanoid": "^5.0.7",
    "react": "^18.3.1",
    "react-dom": "^18.3.1",
    "react-resizable-panels": "^2.1.4",
    "react-router": "^6.27.0",
    "react-router-dom": "^6.27.0",
    "react-toastify": "^10.0.6",
    "vite-plugin-tsconfig-paths": "^1.4.1",
    "zustand": "^5.0.0"
  },
  "devDependencies": {
    "@eslint/js": "^9.13.0",
    "@tailwindcss/aspect-ratio": "^0.4.2",
    "@tailwindcss/typography": "^0.5.15",
    "@types/d3": "^7.4.3",
    "@types/lodash-es": "^4.17.12",
    "@types/node": "^22.7.7",
    "@types/path-browserify": "^1.0.3",
    "@types/react": "^18.3.11",
    "@types/react-dom": "^18.3.1",
    "@vitejs/plugin-react": "^4.3.3",
    "autoprefixer": "^10.4.20",
    "eslint": "^9.13.0",
    "eslint-plugin-react-hooks": "^5.1.0-rc.0",
    "eslint-plugin-react-refresh": "^0.4.12",
    "globals": "^15.11.0",
    "path-browserify": "^1.0.1",
    "postcss-import": "^16.1.0",
    "pretty-bytes": "^6.1.1",
    "react-is": "^18.3.1",
    "tailwind-merge": "^2.5.4",
    "tailwindcss": "^3.4.14",
    "tailwindcss-animate": "^1.0.7",
    "typescript": "^5.6.3",
    "typescript-eslint": "^8.10.0",
    "vite": "^5.4.9"
  }
}